# Uses of Interface
org.apache.sysds.runtime.ooc.memory.MemoryBroker

Packages that use MemoryBroker
Package
Description
org.apache.sysds.runtime.ooc.memory

## Uses of MemoryBroker in org.apache.sysds.runtime.ooc.memory

Classes in org.apache.sysds.runtime.ooc.memory that implement MemoryBroker
Modifier and Type
Class
Description
`class`
`GlobalMemoryBroker`
Constructors in org.apache.sysds.runtime.ooc.memory with parameters of type MemoryBroker
Modifier
Constructor
Description
``
`CachedAllowance(MemoryBroker broker)`
``
`SyncMemoryAllowance(MemoryBroker broker)`
``
`SyncMemoryAllowance(MemoryBroker broker, long consumptionLimit)`
``
`SyncMemoryAllowance(MemoryBroker broker, long consumptionLimit, long minimumOperatingBytes)`